directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Karasulu (JIRA)" <directory-...@incubator.apache.org>
Subject [jira] Created: (DIR-212) Lock all maven plugins to a specific version in the pluginManagement sections of Directory poms
Date Mon, 21 May 2007 15:21:16 GMT
Lock all maven plugins to a specific version in the pluginManagement sections of Directory
poms
-----------------------------------------------------------------------------------------------

                 Key: DIR-212
                 URL: https://issues.apache.org/jira/browse/DIR-212
             Project: Directory
          Issue Type: Task
            Reporter: Alex Karasulu
         Assigned To: Alex Karasulu
            Priority: Critical


Right now maven tries to use the most recent version of plugins when building Apache Directory
projects.  
This prevents successful builds at times and also makes it so our tags do not build after
some time.  This 
is a serious issue.  To correct this problem we must lock down all plugins used to a specific
version in the
pluginManagement section of the primary directory pom as well as in the various subprojects
of Directory.

I don't think removing the SNAPSHOT repos is the answer because this will prevent our snapshot
builds 
from working while working between released versions.   

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message